2024-04-14 18:40 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002297Virocop[WHDLoad Installs Games] slavepublic2014-05-05 19:03
ReporterHungry Horace 
Assigned ToJOTDProject InfoVirocop (Graftgold)
http://www.whdload.de/games/Virocop.html
 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Summary0002297: Problems with lowlevel library emulations
Description
Hi Jean,

I've not tried to reproduce this myself, but it seems a few people are having some control problems with Virocop AGA v.1.1

Please see this topic here:

http://eab.abime.net/showthread.php?t=53387
Steps To ReproduceFrom Anakirob:

"It skips the copyright screen automatically, not sure if it's supposed to do this or not.

At the title screen it jumps to the options screen and switches between 1P, 2P, Team at random intervals.

And during the game it switches weapons at random intervals. Which makes the game pretty much unplayable."

Additional InformationFrom BooBoo:

:For me Sega Pad changed weapons at random intervals
:CD32 Pad Pressing Pause - Pauses game and changes weapon
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.9
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0002725

mahen (reporter)

Last edited: 2012-05-02 00:40

View 2 revisions

I can reproduce the bug here. (A1200, ACA1231@42Mhz, 3.1+patches, lyra2)

I use a regular 2 buttons joypad and during gameplay, weapons are switched automatically.

I worked around this by downgrading the slave version.

note ~0003364

Stellan (reporter)

I can confirm the control problems with Virocop AGA v.1.1. My system: A1200, 040, 3.1, WHDLoad 17.2. Would be nice if it could be fixed so that is playable.

note ~0003922

JOTD (developer)

on winuae, seems to skip intro. I'll see what I can do without reverting to old v1.0 behaviour which has its caveats too.

note ~0003923

JOTD (developer)

reverted back to real lowlevel.library, as it seems to work all right
+Notes

-Issue History
Date Modified Username Field Change
2010-06-20 14:41 Hungry Horace New Issue
2010-06-20 14:41 Hungry Horace Assigned To => JOTD
2010-06-20 14:41 Hungry Horace Status new => assigned
2012-05-02 00:40 mahen Note Added: 0002725
2012-05-02 00:40 mahen Note Edited: 0002725 View Revisions
2013-06-12 15:23 Stellan Note Added: 0003364
2014-05-05 11:52 JOTD Note Added: 0003922
2014-05-05 11:52 JOTD Status assigned => confirmed
2014-05-05 19:03 JOTD Note Added: 0003923
2014-05-05 19:03 JOTD Status confirmed => closed
2014-05-05 19:03 JOTD Resolution open => fixed
+Issue History